Delete Insight Alert Rule
Resolve the rule's live incident with reason rule_changed, then delete the rule; its incidents stay as history with rule_id cleared.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
rule_id*Rule Id
Format
uuidQuery Parameters
org_id*Org Id
Format
uuidverify_locally?Verify Locally
Default
trueResponse Body
application/json
curl -X DELETE "https://example.com/v1/insights/rules/497f6eca-6276-4993-bfeb-53cbbbba6f08?org_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}